Me.Doc откат на 188-ю версию

UPD: Выпустили обновление 10.01.190.
Так, что откатываемся и обновляемся.

В связи с недавними событиями, 189-я версия Me.Doc является небезопасной и не рекомендуется к использованию.
Сама компания заявляет что у неё уже есть обновление ПО, гарантированно (Ха-Ха), не содержащее бэкдоров, но КиберПолиция не даёт им добра на его развёртывания.
В данный момент единственным, способом хоть как-то обезопасить себя, является откат на 188-ю версию.

1. Загружаем с офф. сайта 188-ю версию
2. Загружаем скрипт, правящий версию в БД
3. Останавливаем службы Firebird server - ZvitGrp и ZvitGrp
4. Копируем каталог C:\ProgramData\Medoc_ (оттуда нам понадобится БД, да и вообще пусть будет)
5. Производим деинсталляцию 189-й версии с компьютера/сервера (убедитесь что не забыли про п.4.)
6. Инсталлируем 188-ю версию
7. Проверяем что в службах не запущены службы из п.3.
8. Копируем каталог db из копии сделаной в п.4. в ново установленную 188-ю версию, с заменой файлов (
C:\ProgramData\Medoc\MedocSRV_ если сетевая)
9. Запускаем ScriptRun.exe из каталога с установленным Me.Doc и в открывшемся окне выбираем скрипт загруженный в п.2. (слева в меню кнопка “створити”) и после выбора “виконаты”
10. После отработки скрипта запускаем службы из п.3.
11. Проверяем работоспособность.

Что конкретно делает скрипт - не известно, по теории он должен просто править версию ПО указанную в БД с 189-й на 188-ю ибо без этого 188-я версия не будет работать с БД.
Не удаляйте резервную копию до тех пор пока не выяснится как жить дальше :)

Комментарии